Skip to main content
GET
/
api
/
transactions-locking
/
{module}
Get transactions locking meta for a module
curl --request GET \
  --url https://api.example.com/api/transactions-locking/{module} \
  --header 'Authorization: <authorization>' \
  --header 'organization-id: <organization-id>'
import requests

url = "https://api.example.com/api/transactions-locking/{module}"

headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};

fetch('https://api.example.com/api/transactions-locking/{module}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "isEnabled": true,
  "isPartialUnlock": false,
  "lockToDate": "2024-12-31",
  "unlockFromDate": "2025-01-01",
  "unlockToDate": "2025-01-31",
  "lockReason": "Year-end closing",
  "unlockReason": "New fiscal year",
  "partialUnlockReason": "Special adjustment period"
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

module
string
required

Response

200 - application/json

The module transactions locking meta has been successfully retrieved.

isEnabled
boolean
required

Indicates whether transaction locking is enabled

Example:

true

isPartialUnlock
boolean
required

Indicates whether partial unlock is enabled

Example:

false

lockToDate
string<date-time>
required

The date until which transactions are locked

Example:

"2024-12-31"

unlockFromDate
string
required

The start date of the unlock period

Example:

"2025-01-01"

unlockToDate
string
required

The end date of the unlock period

Example:

"2025-01-31"

lockReason
string
required

The reason for locking transactions

Example:

"Year-end closing"

unlockReason
string
required

The reason for unlocking transactions

Example:

"New fiscal year"

partialUnlockReason
string
required

The reason for partial unlock of transactions

Example:

"Special adjustment period"